Index: src/edu/ucsb/nceas/metacat/admin/DBAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/DBAdmin.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/admin/DBAdmin.java	(revision 5030)
@@ -54,8 +54,7 @@
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
 import edu.ucsb.nceas.metacat.database.DBVersion;
-import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.DatabaseUtil;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
@@ -108,10 +107,10 @@
 			versionSet = DatabaseUtil.getUpgradeVersions();
 			scriptSuffixMap = DatabaseUtil.getScriptSuffixes();
 		} catch (PropertyNotFoundException pnfe) {
-			throw new AdminException("Could not retrieve database upgrade " 
+			throw new AdminException("DBAdmin() - Could not retrieve database upgrade " 
 					+ "versions during instantiation" + pnfe.getMessage());
 		} catch (NumberFormatException nfe) {
-			throw new AdminException("Bad version format numbering: "
+			throw new AdminException("DBAdmin() - Bad version format numbering: "
 					+ nfe.getMessage());
 		}
 	}
@@ -181,13 +180,13 @@
 				RequestUtil.forwardRequest(request, response,
 						"/admin/database-configuration.jsp", null);
 			} catch (GeneralPropertyException gpe) {
-				throw new AdminException("Problem getting or setting property while " 
-						+ "initializing system properties page: " + gpe.getMessage());
+				throw new AdminException("DBAdmin.configureDatabase - Problem getting or " + 
+						"setting property while initializing system properties page: " + gpe.getMessage());
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while initializing "
+				throw new AdminException("DBAdmin.configureDatabase - IO problem while initializing "
 						+ "system properties page:" + ioe.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while "
+				throw new AdminException("DBAdmin.configureDatabase - problem forwarding request while "
 						+ "initializing system properties page: " + se.getMessage());
 			}  
 		} else {
@@ -227,13 +226,13 @@
 
 				PropertyService.persistMainBackupProperties();
 			} catch (GeneralPropertyException gpe) {
-				throw new AdminException("Problem getting or setting property while "
-						+ "upgrading database: " + gpe.getMessage());
+				throw new AdminException("DBAdmin.configureDatabase - Problem getting or setting " +
+						"property while upgrading database: " + gpe.getMessage());
 			}  catch (IOException ioe) {
-				throw new AdminException("IO problem while upgrading database: "
+				throw new AdminException("DBAdmin.configureDatabase - IO problem while upgrading database: "
 						 + ioe.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while "
+				throw new AdminException("DBAdmin.configureDatabase - problem forwarding request while "
 						+ "upgrading database: " + se.getMessage());
 			}
 		}
@@ -272,12 +271,12 @@
 		// properties have been configured
 		try {
 			if (!PropertyService.arePropertiesConfigured()) {
-				throw new AdminException("An attempt was made to get the database version "
-								+ "before system properties were configured");
+				throw new AdminException("DBAdmin.getDBVersion - An attempt was made to get " + 
+						"the database version before system properties were configured");
 			}
-		} catch (MetacatUtilException ue) {
-			throw new AdminException("Could not determine the database version: "
-					+ ue.getMessage());
+		} catch (GeneralPropertyException gpe) {
+			throw new AdminException("DBAdmin.getDBVersion - Could not determine the database version: "
+					+ gpe.getMessage());
 		}
 		if (databaseVersion == null) {
 			databaseVersion = discoverDBVersion();
@@ -284,7 +283,7 @@
 		}
 
 		if (databaseVersion == null) {
-			throw new AdminException("Could not find database version");
+			throw new AdminException("DBAdmin.getDBVersion - Could not find database version");
 		}
 
 		return databaseVersion;
@@ -304,9 +303,8 @@
 		try {
 			int dbStatus = getDBStatus();
 			if (dbStatus == DB_DOES_NOT_EXIST) {
-				throw new AdminException(
-						"Database does not exist for connection"
-						+ PropertyService.getProperty("database.connectionURI"));
+				throw new AdminException("DBAdmin.discoverDBVersion - Database does not exist " + 
+						"for connection" + PropertyService.getProperty("database.connectionURI"));
 			} else if (dbStatus == TABLES_DO_NOT_EXIST) {
 				databaseVersion = new DBVersion("0.0.0");
 				return databaseVersion;
@@ -320,22 +318,22 @@
 			databaseVersion = getUnRegisteredDBVersion();
 			
 		} catch (SQLException sqle) {
-			String errorMessage = "SQL error during  database version discovery: "
+			String errorMessage = "DBAdmin.discoverDBVersion - SQL error during  database version discovery: "
 				+ sqle.getMessage();
 			logMetacat.error(errorMessage);
 			throw new AdminException(errorMessage);
 		} catch (PropertyNotFoundException pnfe) {
-			String errorMessage = "Property not found during  database version discovery: "
-					+ pnfe.getMessage();
+			String errorMessage = "DBAdmin.discoverDBVersion - Property not found during  database " + 
+			"version discovery: " + pnfe.getMessage();
 			logMetacat.error(errorMessage);
 			throw new AdminException(errorMessage);
 		} catch (NumberFormatException nfe) {
-			throw new AdminException("Bad version format numbering: "
+			throw new AdminException("DBAdmin.discoverDBVersion - Bad version format numbering: "
 					+ nfe.getMessage());
 		}
 		
 		if (databaseVersion == null) {
-			throw new AdminException("Database version discovery returned null");
+			throw new AdminException("DBAdmin.discoverDBVersion - Database version discovery returned null");
 		}
 		return databaseVersion;
 	}
@@ -382,13 +380,13 @@
 			return new DBVersion(dbVersionString);
 			
 		} catch (SQLException sqle) {
-			throw new AdminException("Could not run SQL to get registered db version: " 
+			throw new AdminException("DBAdmin.getRegisteredDBVersion - Could not run SQL to get registered db version: " 
 					+ sqle.getMessage());			
 		} catch (PropertyNotFoundException pnfe) {
-			throw new AdminException("Could not get property for registered db version: " 
+			throw new AdminException("DBAdmin.getRegisteredDBVersion - Could not get property for registered db version: " 
 					+ pnfe.getMessage());		
 		} catch (NumberFormatException nfe) {
-			throw new AdminException("Bad version format numbering: "
+			throw new AdminException("DBAdmin.getRegisteredDBVersion - Bad version format numbering: "
 					+ nfe.getMessage());
 		} finally {
 			if (pstmt != null) {
@@ -440,11 +438,10 @@
 				return new DBVersion(dbVersionString);
 			}
 		} catch (PropertyNotFoundException pnfe) {
-			throw new AdminException(
-					"Could not get property for unregistered db version: "
-							+ pnfe.getMessage());
+			throw new AdminException("DBAdmin.getUnRegisteredDBVersion - Could not get " + 
+					"property for unregistered db version: " + pnfe.getMessage());
 		} catch (NumberFormatException nfe) {
-			throw new AdminException("Bad version format numbering: "
+			throw new AdminException("DBAdmin.getUnRegisteredDBVersion - Bad version format numbering: "
 					+ nfe.getMessage());
 		}
 	}
@@ -463,8 +460,7 @@
 		try {
 
 			// check out DBConnection
-			conn = DBConnectionPool
-					.getDBConnection("DBAdmin.updateDBVersion()");
+			conn = DBConnectionPool.getDBConnection("DBAdmin.updateDBVersion()");
 			serialNumber = conn.getCheckOutSerialNumber();
 			conn.setAutoCommit(false);
 
@@ -483,10 +479,10 @@
 			conn.commit();
 		} catch (SQLException e) {
 			conn.rollback();
-			throw new SQLException("DBAdmin.getDBVersion(). " + e.getMessage());
+			throw new SQLException("DBAdmin.updateDBVersion - sql error: " + e.getMessage());
 		} catch (PropertyNotFoundException pnfe) {
 			conn.rollback();
-			throw new SQLException("DBAdmin.getDBVersion(). " + pnfe.getMessage());
+			throw new SQLException("DBAdmin.updateDBVersion - property error" + pnfe.getMessage());
 		}
 		finally {
 			try {
@@ -698,7 +694,7 @@
 			sqlFileLocation = SystemUtil.getSQLDir();
 			databaseType = PropertyService.getProperty("database.type");
 		} catch (PropertyNotFoundException pnfe) {
-			throw new AdminException("Could not get property while trying " 
+			throw new AdminException("DBAdmin.getUpdateScripts - Could not get property while trying " 
 					+ "to retrieve database update scripts: " + pnfe.getMessage());
 		}
 		
@@ -763,13 +759,13 @@
 			// update the db version to be the metacat version
 			databaseVersion = new DBVersion(SystemUtil.getMetacatVersion().getVersionString());
 		} catch (SQLException sqle) {
-			throw new AdminException("SQL error when running upgrade scripts: "
+			throw new AdminException("DBAdmin.upgradeDatabase - SQL error when running upgrade scripts: "
 					+ sqle.getMessage());
 		} catch (PropertyNotFoundException pnfe) {
-			throw new AdminException("SQL error when running upgrade scripts: "
+			throw new AdminException("DBAdmin.upgradeDatabase - SQL error when running upgrade scripts: "
 					+ pnfe.getMessage());
 		}catch (NumberFormatException nfe) {
-			throw new AdminException("Bad version format numbering: "
+			throw new AdminException("DBAdmin.upgradeDatabase - Bad version format numbering: "
 					+ nfe.getMessage());
 		}
 	}
@@ -800,7 +796,7 @@
 
 			// load the sql from the file into a vector of individual statements
 			// and execute them.
-			logMetacat.debug("processing File: " + sqlFileName);
+			logMetacat.debug("DBAdmin.runSQLFile - processing File: " + sqlFileName);
 			Vector<String> sqlCommands = loadSQLFromFile(sqlFileName);
 			for (String sqlStatement : sqlCommands) {
 				Statement statement = connection.createStatement();
@@ -816,7 +812,7 @@
 							 sqle.getMessage().contains("ORA-04098") ||
 							 sqle.getMessage().contains("ORA-04080") ||
 							 sqle.getMessage().contains("ORA-00942"))) {
-						logMetacat.warn("did not process sql drop statement: " + sqle.getMessage());
+						logMetacat.warn("DBAdmin.runSQLFile - did not process sql drop statement: " + sqle.getMessage());
 					} else {
 						throw sqle;
 					}
@@ -825,10 +821,10 @@
 			connection.commit();
 			
 		} catch (IOException ioe) {
-			throw new AdminException("Could not read SQL file" 
+			throw new AdminException("DBAdmin.runSQLFile - Could not read SQL file" 
 					+ ioe.getMessage());
 		} catch (PropertyNotFoundException pnfe) {
-			throw new AdminException("Could not find property to run SQL file" 
+			throw new AdminException("DBAdmin.runSQLFile - Could not find property to run SQL file" 
 					+ pnfe.getMessage());
 		} catch (SQLException sqle) {
 			if (connection != null) {
Index: src/edu/ucsb/nceas/metacat/shared/BaseAccess.java
===================================================================
--- src/edu/ucsb/nceas/metacat/shared/BaseAccess.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/shared/BaseAccess.java	(revision 5030)
@@ -43,7 +43,7 @@
         //check out DBConnection
     	try {
     		conn = DBConnectionPool.
-                	getDBConnection("methodName");
+                	getDBConnection(methodName);
     		serialNumber = conn.getCheckOutSerialNumber();
     	} catch (SQLException sqle) {
     		throw new AccessException("Could not get connection from DB connection pool: " 
Index: src/edu/ucsb/nceas/metacat/DBSAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/DBSAXHandler.java	(revision 5030)
@@ -37,7 +37,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.service.XMLSchema;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.morpho.datapackage.Triple;
Index: src/edu/ucsb/nceas/metacat/admin/PropertiesAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/PropertiesAdmin.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/admin/PropertiesAdmin.java	(revision 5030)
@@ -37,7 +37,7 @@
 
 import edu.ucsb.nceas.metacat.MetacatVersion;
 import edu.ucsb.nceas.metacat.database.DBVersion;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.RequestUtil;
@@ -160,16 +160,16 @@
 						"/admin/properties-configuration.jsp", null);
 
 			} catch (GeneralPropertyException gpe) {
-				throw new AdminException("Problem getting or setting property while " 
-						+ "initializing system properties page: " + gpe.getMessage());
+				throw new AdminException("PropertiesAdmin.configureProperties - Problem getting or " + 
+						"setting property while initializing system properties page: " + gpe.getMessage());
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while initializing "
+				throw new AdminException("PropertiesAdmin.configureProperties - IO problem while initializing "
 						+ "system properties page:" + ioe.getMessage());
 			} catch (ServiceException se) {
-				throw new AdminException("Service problem while initializing "
+				throw new AdminException("PropertiesAdmin.configureProperties - Service problem while initializing "
 						+ "system properties page:" + se.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while " 
+				throw new AdminException("PropertiesAdmin.configureProperties - problem forwarding request while " 
 						+ "initializing system properties page: " + se.getMessage());
 			}
 		} else {
@@ -205,7 +205,7 @@
 				try {
 					FileUtil.createDirectory(dataDir);
 				} catch (UtilException ue) {
-					String errorString = "Could not create directory: " + dataDir +
+					String errorString = "PropertiesAdmin.configureProperties - Could not create directory: " + dataDir +
 					" : " + ue.getMessage();
 					logMetacat.error(errorString);
 					validationErrors.add(errorString);
@@ -216,7 +216,7 @@
 				try {
 					FileUtil.createDirectory(inlineDataDir);
 				} catch (UtilException ue) {
-					String errorString = "Could not create directory: " + inlineDataDir +
+					String errorString = "PropertiesAdmin.configureProperties - Could not create directory: " + inlineDataDir +
 						" : " + ue.getMessage();
 					logMetacat.error(errorString);
 					validationErrors.add(errorString);
@@ -227,7 +227,7 @@
 				try {
 					FileUtil.createDirectory(documentfilepath);
 				} catch (UtilException ue) {	
-					String errorString = "Could not create directory: " + documentfilepath +
+					String errorString = "PropertiesAdmin.configureProperties - Could not create directory: " + documentfilepath +
 						" : " + ue.getMessage();
 					logMetacat.error(errorString);
 					validationErrors.add(errorString);
@@ -238,7 +238,7 @@
 				try {
 					FileUtil.createDirectory(tempDir);
 				} catch (UtilException ue) {		
-					String errorString = "Could not create directory: " + tempDir +
+					String errorString = "PropertiesAdmin.configureProperties - Could not create directory: " + tempDir +
 						" : " + ue.getMessage();
 					logMetacat.error(errorString);
 					validationErrors.add(errorString);
@@ -249,7 +249,7 @@
 				try {
 					FileUtil.createDirectory(replLogDir);
 				} catch (UtilException ue) {		
-					String errorString = "Could not create directory: " + replLogDir +
+					String errorString = "PropertiesAdmin.configureProperties - Could not create directory: " + replLogDir +
 						" : " + ue.getMessage();
 					logMetacat.error(errorString);
 					validationErrors.add(errorString);
@@ -261,7 +261,7 @@
 				PropertyService.persistMainBackupProperties();
 
 			} catch (GeneralPropertyException gpe) {
-				String errorMessage = "Problem getting or setting property while "
+				String errorMessage = "PropertiesAdmin.configureProperties - Problem getting or setting property while "
 						+ "processing system properties page: " + gpe.getMessage();
 				logMetacat.error(errorMessage);
 				processingErrors.add(errorMessage);
@@ -298,13 +298,13 @@
 				}
 
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while "
+				throw new AdminException("PropertiesAdmin.configureProperties - problem forwarding request while "
 						+ "processing system properties page: " + se.getMessage());
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while processing system "
+				throw new AdminException("PropertiesAdmin.configureProperties - IO problem while processing system "
 						+ "properties page: " + ioe.getMessage());
 			} catch (GeneralPropertyException gpe) {
-				throw new AdminException("problem with properties while "
+				throw new AdminException("PropertiesAdmin.configureProperties - problem with properties while "
 						+ "processing system properties page: " + gpe.getMessage());
 			}
 		}
Index: src/edu/ucsb/nceas/metacat/admin/BackupAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/BackupAdmin.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/admin/BackupAdmin.java	(revision 5030)
@@ -35,7 +35,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
@@ -100,9 +100,9 @@
 			
 			try {
 				String backupBaseDir = SystemUtil.discoverExternalDir();
-				logMetacat.debug("Backup dir discovered as: " + backupBaseDir);
+				logMetacat.debug("BackupAdmin.configureBackup - Backup dir discovered as: " + backupBaseDir);
 				String backupDirStatus = getBackupDirStatus(backupBaseDir);
-				logMetacat.debug("Status of discovered backup dir: " + backupDirStatus);
+				logMetacat.debug("BackupAdmin.configureBackup - Status of discovered backup dir: " + backupDirStatus);
 				
 				if (backupBaseDir != null) {
 					request.setAttribute("backupBaseDir", backupBaseDir);
@@ -115,13 +115,13 @@
 				RequestUtil.forwardRequest(request, response,
 						"/admin/backup-configuration.jsp", null);
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while initializing "
+				throw new AdminException("BackupAdmin.configureBackup - IO problem while initializing "
 						+ "backup configuration page:" + ioe.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("Problem forwarding request while "
+				throw new AdminException("BackupAdmin.configureBackup - Problem forwarding request while "
 						+ "initializing backup configuration page: " + se.getMessage());
 			} catch (MetacatUtilException mue) {
-				throw new AdminException("Problem discovering backup directory while "
+				throw new AdminException("BackupAdmin.configureBackup - Problem discovering backup directory while "
 						+ "initializing backup configuration page: " + mue.getMessage());
 			}
 		} else {
@@ -153,17 +153,17 @@
 					ServiceService.refreshService("SkinPropertyService");
 					SystemUtil.storeExternalDirLocation(backupDir);
 				} catch (UtilException ue) {
-					String errorMessage = "Could not create directory: " + hiddenBackupDir
+					String errorMessage = "BackupAdmin.configureBackup - Could not create directory: " + hiddenBackupDir
 							+ " : " + ue.getMessage() + ". Please try again";
 					processingErrors.add(errorMessage);
 					logMetacat.error(errorMessage);
 				} catch (GeneralPropertyException gpe) {
-					String errorMessage = "Could not set application.backupDir property "
+					String errorMessage = "BackupAdmin.configureBackup - Could not set application.backupDir property "
 							+ " to " + backupDir + " : " + gpe.getMessage() + ".";
 					processingErrors.add(errorMessage);
 					logMetacat.error(errorMessage);
 				} catch (ServiceException se) {
-					String errorMessage = "Could not refresh service : " + se.getMessage() + ".";
+					String errorMessage = "BackupAdmin.configureBackup - Could not refresh service : " + se.getMessage() + ".";
 					processingErrors.add(errorMessage);
 					logMetacat.error(errorMessage);
 				}
@@ -184,10 +184,10 @@
 							"/admin?configureType=configure&processForm=false", null);
 				}
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while processing login page: " 
+				throw new AdminException("BackupAdmin.configureBackup - IO problem while processing login page: " 
 						+ ioe.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while "
+				throw new AdminException("BackupAdmin.configureBackup - problem forwarding request while "
 						+ "processing login page: " + se.getMessage());
 			}
 		}
Index: src/edu/ucsb/nceas/metacat/database/DBVersion.java
===================================================================
--- src/edu/ucsb/nceas/metacat/database/DBVersion.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/database/DBVersion.java	(revision 5030)
@@ -26,7 +26,7 @@
 import java.util.Vector;
 
 import edu.ucsb.nceas.metacat.Version;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.StringUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/oaipmh/provider/server/catalog/MetacatRecordFactory.java
===================================================================
--- src/edu/ucsb/nceas/metacat/oaipmh/provider/server/catalog/MetacatRecordFactory.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/oaipmh/provider/server/catalog/MetacatRecordFactory.java	(revision 5030)
@@ -16,7 +16,7 @@
 import java.util.StringTokenizer;
 
 import edu.ucsb.nceas.metacat.oaipmh.provider.server.OAIHandler;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import org.apache.log4j.Logger;
Index: src/edu/ucsb/nceas/metacat/admin/LoginAdmin.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/LoginAdmin.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/admin/LoginAdmin.java	(revision 5030)
@@ -89,13 +89,13 @@
 				RequestUtil.forwardRequest(request, response,
 						"/admin/admin-login.jsp", null);
 			} catch (MetacatUtilException mue) {
-				throw new AdminException("Utility problem while processing login page: " 
-						+ mue.getMessage());
+				throw new AdminException("LoginAdmin.authenticateUser - Utility problem while " + 
+						"processing login page: " + mue.getMessage());
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while initializing "
+				throw new AdminException("LoginAdmin.authenticateUser -IO problem while initializing "
 						+ "user login page:" + ioe.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while "
+				throw new AdminException("LoginAdmin.authenticateUser -problem forwarding request while "
 						+ "initializing user login page: " + se.getMessage());
 			}
 		} else {
@@ -121,7 +121,7 @@
 					try {
 						isLoggedIn = AuthUtil.logUserIn(request, userName, password);
 					} catch (MetacatUtilException ue) {
-						String errorMessage = "Could not log in as: " + userName
+						String errorMessage = "LoginAdmin.authenticateUser - Could not log in as: " + userName
 						+ " : " + ue.getMessage() + ". Please try again";
 						processingErrors.add(errorMessage);
 						logMetacat.error(errorMessage);
@@ -144,10 +144,10 @@
 							"/admin?configureType=configure&processForm=false", null);
 				}
 			} catch (IOException ioe) {
-				throw new AdminException("IO problem while processing login page: " 
+				throw new AdminException("LoginAdmin.authenticateUser - IO problem while processing login page: " 
 						+ ioe.getMessage());
 			} catch (ServletException se) {
-				throw new AdminException("problem forwarding request while "
+				throw new AdminException("LoginAdmin.authenticateUser - problem forwarding request while "
 						+ "processoing login page: " + se.getMessage());
 			}
 		}
Index: src/edu/ucsb/nceas/metacat/admin/MetacatAdminServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/admin/MetacatAdminServlet.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/admin/MetacatAdminServlet.java	(revision 5030)
@@ -39,7 +39,7 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.MetaCatServlet;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.service.SessionService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
@@ -92,7 +92,7 @@
 	private void handleGetOrPost(HttpServletRequest request,
 			HttpServletResponse response) throws ServletException, IOException {
 		String action = request.getParameter("configureType");
-		logMetacat.debug("Processing admin action: " + action);
+		logMetacat.debug("MetacatAdminServlet.handleGetOrPost - Processing admin action: " + action);
 		Vector<String> processingMessage = new Vector<String>();
 		Vector<String> processingErrors = new Vector<String>();
 
@@ -110,7 +110,7 @@
 						+ " before you can continue with Metacat configuration.");
 				RequestUtil.setRequestMessage(request, processingMessage);
 				action = "backup";
-				logMetacat.debug("Admin action changed to 'backup'");
+				logMetacat.debug("MetacatAdminServlet.handleGetOrPost - Admin action changed to 'backup'");
 			} else if (!AuthUtil.isAuthConfigured()) {
 				// if authentication isn't configured, change the action to auth.  
 				// Authentication needs to be set up before we do anything else
@@ -118,7 +118,7 @@
 						+ "you can continue with MetaCat configuration.");
 				RequestUtil.setRequestMessage(request, processingMessage);
 				action = "auth";
-				logMetacat.debug("Admin action changed to 'auth'");
+				logMetacat.debug("MetacatAdminServlet.handleGetOrPost - Admin action changed to 'auth'");
 			} else if (!AuthUtil.isUserLoggedInAsAdmin(request)) {
 				// If auth is configured, see if the user is logged in
 				// as an administrator.  If not, they need to log in before
@@ -127,7 +127,7 @@
 						"user before you can continue with MetaCat configuration.");
 				RequestUtil.setRequestMessage(request, processingMessage);
 				action = "login";
-				logMetacat.debug("Admin action changed to 'login'");
+				logMetacat.debug("MetacatAdminServlet.handleGetOrPost - Admin action changed to 'login'");
 			}  
 
 			if (action == null || action.equals("configure")) {
@@ -180,23 +180,23 @@
 				GeoserverAdmin.getInstance().configureGeoserver(request, response);
 				return;
 			} else {
-				String errorMessage = "Invalid action in configuration request: " + action;
+				String errorMessage = "MetacatAdminServlet.handleGetOrPost - Invalid action in configuration request: " + action;
 				logMetacat.error(errorMessage);
 				processingErrors.add(errorMessage);
 			} 
 		} catch (GeneralPropertyException ge) {
 			String errorMessage = 
-				"Property problem while handling request: " + ge.getMessage();
+				"MetacatAdminServlet.handleGetOrPost - Property problem while handling request: " + ge.getMessage();
 			logMetacat.error(errorMessage);
 			processingErrors.add(errorMessage);
 		} catch (AdminException ae) {
 			String errorMessage = 
-				"Admin problem while handling request: " + ae.getMessage();
+				"MetacatAdminServlet.handleGetOrPost - Admin problem while handling request: " + ae.getMessage();
 			logMetacat.error(errorMessage);
 			processingErrors.add(errorMessage);
 		} catch (MetacatUtilException ue) {
 			String errorMessage = 
-				"Utility problem while handling request: " + ue.getMessage();
+				"MetacatAdminServlet.handleGetOrPost - Utility problem while handling request: " + ue.getMessage();
 			logMetacat.error(errorMessage);
 			processingErrors.add(errorMessage);
 		}
Index: src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/Eml210SAXHandler.java	(revision 5030)
@@ -49,7 +49,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.DocumentUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/database/DatabaseService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/database/DatabaseService.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/database/DatabaseService.java	(revision 5030)
@@ -29,7 +29,7 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.BaseService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 
Index: src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/oaipmh/provider/server/OAIHandler.java	(revision 5030)
@@ -40,7 +40,7 @@
 import org.apache.log4j.PropertyConfigurator;
 
 import edu.ucsb.nceas.metacat.oaipmh.provider.server.crosswalk.Eml2oai_dc;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 
 import ORG.oclc.oai.server.catalog.AbstractCatalog;
